package Logging;

import java.util.logging.Logger;
/*
 * Logger SingaleTon Klasse
 */


public class LoggingBeispiel {
	// Die Instanz wird erst erstellt, wenn sie benötigt wird
    private static LoggingBeispiel instance = null;
    													// ODER: C:\Users\obaya\git\Programmierung2\Programmierung2\src\Logging\Test.java
   private static final Logger logger = Logger.getLogger(LoggingBeispiel.class.getName());
    
    // Privater Konstruktor, um die Instanziierung zu verhindern
    private LoggingBeispiel() { }
    
    // Statische Methode, um auf die Singleton-Instanz zuzugreifen
    public static synchronized LoggingBeispiel getInstance() {
        if (instance == null) {
            instance = new LoggingBeispiel();
        }
        return instance;
    }
    
    public void log(String message) {
        System.out.println("[LOG] " + message);
    }
    
    // oder
    public void logMessage() {
        logger.info("Das ist Info");
    }
    
    public void logError(String message) {
        System.err.println("[ERROR] " + message);
    }

	public static void main(String[] args) {
		LoggingBeispiel logger = LoggingBeispiel.getInstance();
		
	
		logger.logger.getParent().getHandlers();
	
	}


}
